function y=extraExplEul(f,y0,T,N,n)

% macro step
H = T/N;

% length of extrapolation sequence
k = length(n);

% sequence of lengths of microsteps
h=H./n;

% consistency order of explicit euler method
p=1;

% initial value
y=y0;

Y=zeros(k,1);

% loop over macro steps
for ii=1:N
    
    %find an approximation for each micro step size
    for jj=1:k
        
        Y(jj)=ExplEul(f, y, h(jj) , n(jj));
        %Y(jj)=ImplMidp(lambda, y, h(jj) , n(jj));
    end
    
    %extrapolate a better approximation
    y=extrapolate(Y,n,p);
    
end


